searchNodes=[{"doc":"EasySSL is a wrapper around Erlang's :public_key module to make it far more friendly. It automatically processes OIDs for most X509v3 extensions and subject fields.There are really only two functions of note - parse_der and parse_pem, which should have obvious functions.","ref":"EasySSL.html","title":"EasySSL","type":"module"},{"doc":"","ref":"EasySSL.html#clean_time/1","title":"EasySSL.clean_time/1","type":"function"},{"doc":"","ref":"EasySSL.html#get_all_domain_names/2","title":"EasySSL.get_all_domain_names/2","type":"function"},{"doc":"Takes in a binary (&lt;&lt;...&gt;&gt;) and returns a map of the parsed certificateExamples# Pass in a binary (from Base.decode64, or some other source) iex(1)&gt; EasySSL.parse_der(&lt;&lt;...&gt;&gt;) %{ extensions: %{ authorityInfoAccess: &quot;CA Issuers - URI:http://certificates.godaddy.com/repository/gd_intermediate.crt\\nOCSP - URI:http://ocsp.godaddy.com/\\n&quot;, authorityKeyIdentifier: &quot;keyid:FD:AC:61:32:93:6C:45:D6:E2:EE:85:5F:9A:BA:E7:76:99:68:CC:E7\\n&quot;, basicConstraints: &quot;CA:FALSE&quot;, certificatePolicies: &quot;Policy: 2.16.840.1.114413.1.7.23.1\\n CPS: http://certificates.godaddy.com/repository/&quot;, crlDistributionPoints: &quot;Full Name:\\n URI:http://crl.godaddy.com/gds1-90.crl&quot;, extendedKeyUsage: &quot;TLS Web server authentication, TLS Web client authentication&quot;, keyUsage: &quot;Digital Signature, Key Encipherment&quot;, subjectAltName: &quot;DNS:acaline.com, DNS:www.acaline.com&quot;, subjectKeyIdentifier: &quot;E6:61:14:4E:5A:4B:51:0C:4E:6C:5E:3C:79:61:65:D4:BD:64:94:BE&quot; }, fingerprint: &quot;FA:BE:B5:9B:ED:C2:2B:42:7E:B1:45:C8:9A:8A:73:16:4A:A0:10:09&quot;, issuer: %{ C: &quot;US&quot;, CN: &quot;Go Daddy Secure Certification Authority&quot;, L: &quot;Scottsdale&quot;, O: &quot;GoDaddy.com, Inc.&quot;, OU: &quot;http://certificates.godaddy.com/repository&quot;, ST: &quot;Arizona&quot;, aggregated: &quot;/C=US/CN=Go Daddy Secure Certification Authority/L=Scottsdale/O=GoDaddy.com, Inc./OU=http://certificates.godaddy.com/repository/ST=Arizona&quot;, emailAddress: nil }, not_after: 1398523877, not_before: 1366987877, serial_number: &quot;27ACAE30B9F323&quot;, signature_algorithm: &quot;sha, rsa&quot;, subject: %{ C: nil, CN: &quot;www.acaline.com&quot;, L: nil, O: nil, OU: &quot;Domain Control Validated&quot;, ST: nil, aggregated: &quot;/CN=www.acaline.com/OU=Domain Control Validated&quot;, emailAddress: nil } }","ref":"EasySSL.html#parse_der/2","title":"EasySSL.parse_der/2","type":"function"},{"doc":"Takes in a string (or charlist) and returns a map of the parsed certificate ## Examples # Pass in a binary (from Base.decode64, or some other source) iex(1)&gt; EasySSL.parse_pem(&quot;-----BEGIN CERTIFICATE-----\\nMII...&quot;) %{ extensions: %{ authorityInfoAccess: &quot;CA Issuers - URI:http://certificates.godaddy.com/repository/gd_intermediate.crt\\nOCSP - URI:http://ocsp.godaddy.com/\\n&quot;, authorityKeyIdentifier: &quot;keyid:FD:AC:61:32:93:6C:45:D6:E2:EE:85:5F:9A:BA:E7:76:99:68:CC:E7\\n&quot;, basicConstraints: &quot;CA:FALSE&quot;, certificatePolicies: &quot;Policy: 2.16.840.1.114413.1.7.23.1\\n CPS: http://certificates.godaddy.com/repository/&quot;, crlDistributionPoints: &quot;Full Name:\\n URI:http://crl.godaddy.com/gds1-90.crl&quot;, extendedKeyUsage: &quot;TLS Web server authentication, TLS Web client authentication&quot;, keyUsage: &quot;Digital Signature, Key Encipherment&quot;, subjectAltName: &quot;DNS:acaline.com, DNS:www.acaline.com&quot;, subjectKeyIdentifier: &quot;E6:61:14:4E:5A:4B:51:0C:4E:6C:5E:3C:79:61:65:D4:BD:64:94:BE&quot; }, fingerprint: &quot;FA:BE:B5:9B:ED:C2:2B:42:7E:B1:45:C8:9A:8A:73:16:4A:A0:10:09&quot;, issuer: %{ C: &quot;US&quot;, CN: &quot;Go Daddy Secure Certification Authority&quot;, L: &quot;Scottsdale&quot;, O: &quot;GoDaddy.com, Inc.&quot;, OU: &quot;http://certificates.godaddy.com/repository&quot;, ST: &quot;Arizona&quot;, aggregated: &quot;/C=US/CN=Go Daddy Secure Certification Authority/L=Scottsdale/O=GoDaddy.com, Inc./OU=http://certificates.godaddy.com/repository/ST=Arizona&quot;, emailAddress: nil }, not_after: 1398523877, not_before: 1366987877, serial_number: &quot;27ACAE30B9F323&quot;, signature_algorithm: &quot;sha, rsa&quot;, subject: %{ C: nil, CN: &quot;www.acaline.com&quot;, L: nil, O: nil, OU: &quot;Domain Control Validated&quot;, ST: nil, aggregated: &quot;/CN=www.acaline.com/OU=Domain Control Validated&quot;, emailAddress: nil } }","ref":"EasySSL.html#parse_pem/1","title":"EasySSL.parse_pem/1","type":"function"},{"doc":"","ref":"EasySSL.html#parse_pem/2","title":"EasySSL.parse_pem/2","type":"function"}]